| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::GMatDesc Struct Reference
G-API framework » G-API Data Types » G-API Metadata Descriptors

`#include <opencv2/gapi/gmat.hpp>`

Collaboration diagram for cv::GMatDesc:

## Public Member Functions
GAPI_WRAP | GMatDesc ()
GAPI_WRAP | GMatDesc (int d, const std::vector< int > &dd)
GAPI_WRAP | GMatDesc (int d, int c, cv::Size s, bool p=false)
GAPI_WRAP | GMatDesc (int d, std::vector< int > &&dd)
GAPI_WRAP GMatDesc | asInterleaved () const
GAPI_WRAP GMatDesc | asPlanar () const
GAPI_WRAP GMatDesc | asPlanar (int planes) const
bool | canDescribe (const cv::Mat &mat) const
bool | canDescribe (const cv::RMat &mat) const
bool | isND () const
bool | operator!= (const GMatDesc &rhs) const
bool | operator== (const GMatDesc &rhs) const
GAPI_WRAP GMatDesc | withDepth (int ddepth) const
GAPI_WRAP GMatDesc | withSize (cv::Size sz) const
GAPI_WRAP GMatDesc | withSizeDelta (cv::Size delta) const
GAPI_WRAP GMatDesc | withSizeDelta (int dx, int dy) const
GAPI_WRAP GMatDesc | withType (int ddepth, int dchan) const

## Public Attributes
GAPI_PROP int | chan
GAPI_PROP int | depth
GAPI_PROP std::vector< int > | dims
GAPI_PROP bool | planar
GAPI_PROP cv::Size | size

## Constructor & Destructor Documentation

## ◆ GMatDesc() [1/4]

GAPI_WRAP cv::GMatDesc::GMatDesc | ( | int | d,
|  | int | c,
|  | cv::Size | s,
|  | bool | p = false )
| inline

## ◆ GMatDesc() [2/4]

GAPI_WRAP cv::GMatDesc::GMatDesc | ( | int | d,
|  | const std::vector< int > & | dd )
| inline

## ◆ GMatDesc() [3/4]

GAPI_WRAP cv::GMatDesc::GMatDesc | ( | int | d,
|  | std::vector< int > && | dd )
| inline

## ◆ GMatDesc() [4/4]

GAPI_WRAP cv::GMatDesc::GMatDesc | ( |  | ) |
| inline

## Member Function Documentation

## ◆ asInterleaved()

GAPI_WRAP GMatDesc cv::GMatDesc::asInterleaved | ( |  | ) | const
| inline

## ◆ asPlanar() [1/2]

GAPI_WRAP GMatDesc cv::GMatDesc::asPlanar | ( |  | ) | const
| inline

## ◆ asPlanar() [2/2]

GAPI_WRAP GMatDesc cv::GMatDesc::asPlanar | ( | int | planes | ) | const
| inline

Here is the call graph for this function:

## ◆ canDescribe() [1/2]

bool cv::GMatDesc::canDescribe | ( | const cv::Mat & | mat | ) | const

## ◆ canDescribe() [2/2]

bool cv::GMatDesc::canDescribe | ( | const cv::RMat & | mat | ) | const

## ◆ isND()

bool cv::GMatDesc::isND | ( |  | ) | const
| inline

## ◆ operator!=()

bool cv::GMatDesc::operator!= | ( | const GMatDesc & | rhs | ) | const
| inline

## ◆ operator==()

bool cv::GMatDesc::operator== | ( | const GMatDesc & | rhs | ) | const
| inline

## ◆ withDepth()

GAPI_WRAP GMatDesc cv::GMatDesc::withDepth | ( | int | ddepth | ) | const
| inline

## ◆ withSize()

GAPI_WRAP GMatDesc cv::GMatDesc::withSize | ( | cv::Size | sz | ) | const
| inline

## ◆ withSizeDelta() [1/2]

GAPI_WRAP GMatDesc cv::GMatDesc::withSizeDelta | ( | cv::Size | delta | ) | const
| inline

## ◆ withSizeDelta() [2/2]

GAPI_WRAP GMatDesc cv::GMatDesc::withSizeDelta | ( | int | dx,
|  | int | dy ) const
| inline

## ◆ withType()

GAPI_WRAP GMatDesc cv::GMatDesc::withType | ( | int | ddepth,
|  | int | dchan ) const
| inline

## Member Data Documentation

## ◆ chan

GAPI_PROP int cv::GMatDesc::chan

## ◆ depth

GAPI_PROP int cv::GMatDesc::depth

## ◆ dims

GAPI_PROP std::vector<int> cv::GMatDesc::dims

## ◆ planar

GAPI_PROP bool cv::GMatDesc::planar

## ◆ size

GAPI_PROP cv::Size cv::GMatDesc::size

The documentation for this struct was generated from the following file:

- opencv2/gapi/gmat.hpp